summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-03-14 21:22:54 +0000
committer Eric Hameleers <alien@slackware.com>2019-03-15 08:59:43 +0100
commit2565e7db394cd95a6eaf327026dec6a9748f7235 (patch)
tree309183b033066209702eabe29148c50517103db1 /source
parent218698dcbc3c5b66fe2189b61d5cc1e274d98ac5 (diff)
downloadcurrent-2565e7db394cd95a6eaf327026dec6a9748f7235.tar.gz
current-2565e7db394cd95a6eaf327026dec6a9748f7235.tar.xz
Thu Mar 14 21:22:54 UTC 201920190314212254
ap/cgmanager-0.42-x86_64-1.txz: Upgraded. d/cmake-3.14.0-x86_64-1.txz: Upgraded. l/gexiv2-0.12.0-x86_64-1.txz: Upgraded. l/gsettings-desktop-schemas-3.32.0-x86_64-2.txz: Rebuilt. Don't override the system font defaults (especially with fonts that we don't include). Thanks to Markus Wiesner. l/libyaml-0.2.2-x86_64-1.txz: Upgraded. l/libzip-1.5.2-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/cgmanager/cgmanager.SlackBuild6
-rwxr-xr-xsource/l/gexiv2/gexiv2.SlackBuild2
-rwxr-xr-xsource/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild5
-rw-r--r--source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.font.defaults.diff28
-rwxr-xr-xsource/l/libyaml/libyaml.SlackBuild6
-rwxr-xr-xsource/l/libzip/libzip.SlackBuild2
6 files changed, 42 insertions, 7 deletions
diff --git a/source/ap/cgmanager/cgmanager.SlackBuild b/source/ap/cgmanager/cgmanager.SlackBuild
index 0d2781313..b3c0d12cc 100755
--- a/source/ap/cgmanager/cgmanager.SlackBuild
+++ b/source/ap/cgmanager/cgmanager.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cgmanager
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
diff --git a/source/l/gexiv2/gexiv2.SlackBuild b/source/l/gexiv2/gexiv2.SlackBuild
index 08468c3ab..108030d2d 100755
--- a/source/l/gexiv2/gexiv2.SlackBuild
+++ b/source/l/gexiv2/gexiv2.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gexiv2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
index 2e71d8a76..86ed0a680 100755
--- a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
+++ b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gsettings-desktop-schemas
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,6 +77,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Don't override font defaults with fonts that we don't have:
+zcat $CWD/gsettings-desktop-schemas.font.defaults.diff.gz | patch -p1 --verbose || exit 1
+
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
mkdir build
diff --git a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.font.defaults.diff b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.font.defaults.diff
new file mode 100644
index 000000000..8f0062fdf
--- /dev/null
+++ b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.font.defaults.diff
@@ -0,0 +1,28 @@
+--- ./schemas/org.gnome.desktop.interface.gschema.xml.in.orig 2019-03-11 17:33:16.000000000 -0500
++++ ./schemas/org.gnome.desktop.interface.gschema.xml.in 2019-03-14 15:56:45.071036093 -0500
+@@ -105,7 +105,7 @@
+ </description>
+ </key>
+ <key name="font-name" type="s">
+- <default>'Cantarell 11'</default>
++ <default>'Sans 11'</default>
+ <summary>Default font</summary>
+ <description>
+ Name of the default font used by gtk+.
+@@ -149,14 +149,14 @@
+ </description>
+ </key>
+ <key name="document-font-name" type="s">
+- <default>'Cantarell 11'</default>
++ <default>'Sans 11'</default>
+ <summary>Document font</summary>
+ <description>
+ Name of the default font used for reading documents.
+ </description>
+ </key>
+ <key name="monospace-font-name" type="s">
+- <default>'Source Code Pro 10'</default>
++ <default>'Monospace 11'</default>
+ <summary>Monospace font</summary>
+ <description>
+ Name of a monospaced (fixed-width) font for use in locations like
diff --git a/source/l/libyaml/libyaml.SlackBuild b/source/l/libyaml/libyaml.SlackBuild
index 4aab8b343..18f2dccd1 100755
--- a/source/l/libyaml/libyaml.SlackBuild
+++ b/source/l/libyaml/libyaml.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libyaml
-SRCNAM=yaml
+SRCNAM=libyaml
VERSION=$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
BUILD=${BUILD:-1}
@@ -90,6 +90,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ ! -x configure ]; then
+ autoreconf -vif
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/l/libzip/libzip.SlackBuild b/source/l/libzip/libzip.SlackBuild
index 4b9955537..2b4f3000c 100755
--- a/source/l/libzip/libzip.SlackBuild
+++ b/source/l/libzip/libzip.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libzip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then